Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459198 - Review Request: prelude-notify - Prelude Notification Applet
Summary: Review Request: prelude-notify - Prelude Notification Applet
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-14 21:44 UTC by Steve Grubb
Modified: 2008-08-25 22:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 22:21:26 UTC
Type: ---
pvrabec: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Grubb 2008-08-14 21:44:44 UTC
Spec URL: http://people.redhat.com/sgrubb/files/prelude-notify.spec

SRPM URL: http://people.redhat.com/sgrubb/files/prelude-notify-0.9-0.1.svn10860.fc9.src.rpm

Description: 

Prelude-notify is a desktop oriented application that works as a
monitoring tool that capture events from prelude manager using the
prelude connection pool event checker. Its purpose is to help security
managers and/or administrators to see in real time what's going on in
their network.

This is a svn snapshot with the final release occurring in the next day or two. I'm using svn snapshot just to get through packaging review and will switch over to release at the first opportunity. In order to run it, you need to be using libprelude from rawhide.

Comment 1 Peter Vrabec 2008-08-15 11:08:48 UTC
OK: rpmlint prelude-notify-0.9-0.1.svn10860.fc9.src.rpm
NOT OK: rpmlint  /home/pvrabec/RPM/RPMS/i386/prelude-notify-
0.9-0.1.svn10860.fc9.i386.rpm

prelude-notify.i386: W: incoherent-version-in-changelog 0.1.svn10860 0.9-0.1.svn10860.fc9
prelude-notify.i386: E: no-binary

- shouldn't it be marked as noarch?

NOT OK: Package Naming Guidelines

- add COPYING and AUTHORS file
- install desktop file by desktop-file-install

OK: Licensing Guidelines
OK: License field in the package spec file
OK: American English
OK: spec file for the package MUST be legible
OK: The sources match the upstream source
OK: successfully compile
OK: ExcludeArch
OK: BuildRequires
OK: locales
OK: shared library files
OK: Prefix: /usr
OK: own all directories
OK: duplicate files in the %files
OK: Permissions on files
OK: clean section
OK: macros
OK: documentation files
OK: %doc, it must not affect the runtime of the application
OK: Header files must be in a -devel package
OK: Static libraries must be in a -static package
OK: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' 
OK: library files with a suffix
OK: fully versioned dependency
OK: Packages must NOT contain any .la libtool archives
OK: GUI applications must include a %{name}.desktop
OK: not own files or directories already owned by other packages
OK: package MUST run rm -rf %{buildroot}
OK: valid UTF-8

Comment 2 Steve Grubb 2008-08-15 13:20:07 UTC
Ok, new packages uploaded. The srpm changed names. You can find it here:

http://people.redhat.com/sgrubb/files/prelude-notify-0.9-0.1.20080814svn10860.fc9.src.rpm

I think this addresses everything above. Note that the svn stuff is only until there is a release which is due today or next week. After that I won't be taking svn snaps. :)

Thanks.

Comment 3 Peter Vrabec 2008-08-15 14:27:33 UTC
package approved

Comment 4 Steve Grubb 2008-08-15 14:44:03 UTC
New Package CVS Request
=======================
Package Name: prelude-notify
Short Description: Prelude Notification Applet
Owners: sgrubb
Branches: F-9
InitialCC:
Cvsextras Commits: no

I suppose uberpackagers would be OK for cvsextras commits. This is a security package. TIA.

Comment 5 Jason Tibbitts 2008-08-15 16:12:00 UTC
Erm, sorry, I must have errantly clicked something.

Comment 6 Kevin Fenzi 2008-08-23 17:41:00 UTC
cvs done.

Comment 7 Steve Grubb 2008-08-25 22:21:26 UTC
Package was imported and built. Closing. Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.